from django.views.decorators.http import require_http_methods

from backend.Service.SuperAdminService import SuperAdminService

@require_http_methods(['POST'])
def createPassword(request):
    return SuperAdminService.createPassword(request)

@require_http_methods(['POST'])
def createAccount(request):
    return SuperAdminService.createAccount(request)

@require_http_methods(['POST'])
def superLogin(request):
    return SuperAdminService.superLogin(request)

@require_http_methods(['POST'])
def selcetSetting(request):
    return SuperAdminService.selcetSetting(request)

@require_http_methods(['POST'])
def insertSetting(request):
    return SuperAdminService.insertSetting(request)

@require_http_methods(['POST'])
def updateSettings(request):
    return SuperAdminService.updateSettings(request)

@require_http_methods(['POST'])
def deleteSettings(request):
    return SuperAdminService.deleteSettings(request)

@require_http_methods(['POST'])
def getSuperMenu(request):
    return SuperAdminService.getSuperMenu(request)






